package core

import (
	"git.akyoto.dev/cli/q/src/build/ast"
)

// CompileReturn compiles a return instruction.
func (f *Function) CompileReturn(node *ast.Return) error {
	defer f.Return()

	if node.Value == nil {
		return nil
	}

	return f.ExpressionToRegister(node.Value, f.cpu.Output[0])
}
