package core

import (
	"git.akyoto.dev/cli/q/src/build/cpu"
	"git.akyoto.dev/cli/q/src/build/scope"
)

// VariableInRegister returns the variable that occupies the given register or `nil` if none occupy the register.
func (f *Function) VariableInRegister(register cpu.Register) *scope.Variable {
	for _, v := range f.CurrentScope().Variables {
		if v.Register == register {
			return v
		}
	}

	return nil
}
