package core

// identifierExists returns true if the identifier has been defined.
func (f *Function) identifierExists(name string) bool {
	variable := f.VariableByName(name)

	if variable != nil {
		return true
	}

	_, exists := f.Functions[name]
	return exists
}
