package token

// Count counts how often the given token appears in the token list.
func Count(tokens []Token, buffer []byte, kind Kind, name string) int {
	count := 0

	for _, t := range tokens {
		if t.Kind == Identifier && t.Text(buffer) == name {
			count++
		}
	}

	return count
}
